import { Injectable } from '@angular/core';
import { ReplaySubject } from 'rxjs';
import { PendingInterceptorService } from './pending-interceptor.service';
var SpinnerVisibilityService = (function () {
    function SpinnerVisibilityService(pendingInterceptorService) {
        this.pendingInterceptorService = pendingInterceptorService;
        this._visibilitySubject = new ReplaySubject(1);
    }
    Object.defineProperty(SpinnerVisibilityService.prototype, "visibilityObservable", {
        get: function () {
            return this._visibilitySubject.asObservable();
        },
        enumerable: true,
        configurable: true
    });
    SpinnerVisibilityService.prototype.show = function () {
        this.pendingInterceptorService.forceByPass = true;
        this._visibilitySubject.next(true);
    };
    SpinnerVisibilityService.prototype.hide = function () {
        this._visibilitySubject.next(false);
        this.pendingInterceptorService.forceByPass = false;
    };
    SpinnerVisibilityService.decorators = [
        { type: Injectable },
    ];
    SpinnerVisibilityService.ctorParameters = function () { return [
        { type: PendingInterceptorService, },
    ]; };
    return SpinnerVisibilityService;
}());
export { SpinnerVisibilityService };
function SpinnerVisibilityService_tsickle_Closure_declarations() {
    SpinnerVisibilityService.decorators;
    SpinnerVisibilityService.ctorParameters;
    SpinnerVisibilityService.prototype._visibilitySubject;
    SpinnerVisibilityService.prototype.pendingInterceptorService;
}
export function SpinnerVisibilityServiceFactory(pendingInterceptorService) {
    return new SpinnerVisibilityService(pendingInterceptorService);
}
export var SpinnerVisibilityServiceFactoryProvider = {
    provide: SpinnerVisibilityService,
    useFactory: SpinnerVisibilityServiceFactory,
    deps: [PendingInterceptorService]
};
//# sourceMappingURL=spinner-visibility.service.js.map